/* Blog headline */
.headline {
    background-color: black;

    a {
        text-decoration-line: none;
    }
}

.sticky-bar {
    position: sticky;
    top: 7rem;
    z-index: 2;
}

.headline__title {
    font-size: 30vw;
    color: white;
    text-align: center;
    text-transform: uppercase;
    margin: 0;
}

.headline__content {
    display: flex;
    padding: 2rem;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    height: auto;

    & > * {
        width: 100%;
    }
}

@media (min-width: 764px) {
    .headline__content {
        height: 36rem;
        & > * {
            width: 50%;
        }
    }
}
.headline__content__column {
    flex-grow: 1;
}

.headline__content__primary {
    margin: 1rem;
}
.headline__content__primary:hover {
    text-decoration: underline lightslategray;
    background-color: rgba(255, 255, 255, 0.1);
}

.headline__content__secondary {
    display: flex;
    margin: 1rem 0 0 0;
    height: 11rem;
}
.headline__content__secondary:hover {
    text-decoration: underline lightslategray;
    background-color: rgba(255, 255, 255, 0.1);
}

@media (max-width: 764px) {
    .headline__content__secondary {
        display: flex;
        flex-direction: column;
        height: auto;
        padding: 1rem;
    }
}

.headline__content__secondary-text {
    padding-left: 1rem;
}

.headline__content__date {
    font-size: 0.8rem;
    color: grey;
    text-decoration: none;
}

.headline__content__title {
    color: rgb(187, 187, 187);
}

.headline__content__excerpt {
    color: lightslategray;
}

/* Blog content */
.content {
    background-color: white;
    font-size: 1.25rem;
    line-height: 1.5;
    margin-bottom: 1rem;
    margin-top: 0;
    padding: 3rem;

    a {
        text-decoration-line: none;
    }
}
